
TYPO3.TYPO3CR - Bug # 2163

Status: Resolved Priority: Should have
Author: Christoph Blömer Category: Storage Backend
Created: 2008-11-12 Assigned To: Karsten Dambekalns
Updated: 2011-05-05 Due date:
Subject: "no such table: namespaces* Exception is misleading
Description

After typo3cr.db was changed to TYPO3CR.db the file TYPO3CR.db was created and the Exception was thrown because the new DB
file has no tables.

A NoSuchDatabaseException or MissingDatabaseException would make more sense before creating just an empty DB file.

Associated revisions
Revision 3ba06f97 - 2009-01-05 19:08 - Karsten Dambekalns
TYPO3CR:
    -  missing SQLIte database file is now detected, fixes #2163

History
#1 - 2008-11-26 15:15 - Karsten Dambekalns
- Category set to Storage Backend

The error is indeed misleading. But SQLIte simply creates an empty database if you connect and there is no database file, so this is rather an issue
caused by the way SQLite behaves. For other databases the message would be more helpful.

#2 - 2009-01-05 19:06 - Karsten Dambekalns
- Status changed from New to Accepted

#3 - 2009-01-05 19:11 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r1689.
